import { AppContext } from "@/src/pages/_app";
import Stack from "@/twui/components/layout/Stack";
import { useContext } from "react";
import UsersListCard from "../(partials)/users-list-card";

export default function UsersList() {
    const { pageProps } = useContext(AppContext);
    const { deployment_users } = pageProps;

    return (
        <Stack className="grid-cell-content">
            {deployment_users?.map((dep_usr, index) => {
                return <UsersListCard dep_usr={dep_usr} key={index} />;
            })}
        </Stack>
    );
}
